import pytest

from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest
from all_backend_api.user_request import user_request


class TestReplyTractate:
    data = BaseRequest().api_load(path_setting.REPLY_TRACTATE)
    reply_tractate_case,  reply_tractate_data = get_ids(data, "reply_tractate")

    @pytest.mark.parametrize("param",  reply_tractate_data, ids= reply_tractate_case)
    def test_reply_tractate(self, param):
        r = user_request().reply_tractate(param["page"], param["count"], param["version"])

        assert r["error"] == param["assert"]

